Using opengsn on nextjs application

Hello when I try to use opengsn package on nextjs application it won’t compile an throw this error. Do I need to use this package on server side?

Usage
image

Since I am new user I cannot put extra images. I believe I can reply them if needed

This is the error

image

(answered this question on the discord channel. The solution is now explained in the FAQ